apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: pihole-site-1
spec:
  refreshInterval: 240m
  secretStoreRef:
    name: vault
    kind: ClusterSecretStore
  target:
    name: es-pihole-site-1
  data:
  - secretKey: server
    remoteRef:
      key: shuttle/pihole
      property: site-1-server
  - secretKey: password
    remoteRef:
      key: shuttle/pihole
      property: site-1-password
---
apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: pihole-site-2
spec:
  refreshInterval: 240m
  secretStoreRef:
    name: vault
    kind: ClusterSecretStore
  target:
    name: es-pihole-site-2
  data:
  - secretKey: server
    remoteRef:
      key: shuttle/pihole
      property: site-2-server
  - secretKey: password
    remoteRef:
      key: shuttle/pihole
      property: site-2-password

